Bamboo 2.2 Upgrade Guide

このページの内容

Upgrading from Bamboo 2.1 to 2.2

It is strongly recommended that you back up your xml-data directory before proceeding. For full instructions please follow the Bamboo upgrade guide.

If you are using plugins, please make sure that your plugins are compile against 2.2 before upgrading.

Please also note the following important points:

1. Remote agent changes

 

The default remote agent JAR shipped with Bamboo 2.2 has been upgraded. You will need to upgrade the remote agent JAR files for all of your remote agents, as described below.

Please note, your pre-Bamboo 2.2 remote agent JAR files will not work if you upgrade to Bamboo 2.2. You must install one of the two JARs described above.

2. Issue with remote agent home directory on Windows

 

An outstanding issue exists when installing remote agents on servers running Windows. If your remote agent home directory has space characters (e.g. /remote agent home), you will not be able to install remote agents. The process will crash when you attempt to run the remote agent (see BAM-3604 for further details).

We recommend that you remove all space characters from your remote agent home directory. Instructions for changing your remote agent home are described in the Bamboo remote agent installation guide.

3. Bamboo Developers — Changes for 2.2

 

If you are a Bamboo developer, please take note of the changes described in Changes for Bamboo 2.2 when upgrading to 2.2.

Upgrading from Bamboo prior to 2.1

In addition to the above, please read the Upgrade Guide for every version you are skipping during the upgrade.

Please ensure that you read the Bamboo 2.0 Upgrade Guide which contains important upgrade instructions for upgrading from earlier versions of Bamboo.

最終更新日 2014 年 9 月 17 日

この翻訳に満足しましたか?

はい
いいえ
この記事についてのフィードバックを送信する

Not finding the help you need?

コミュニティへの質問

Powered by Confluence and Scroll Viewport.